<p>dependency works!</p>
{{Training}}
<button (click)="logger()">Show Table</button>
<div *ngFor="let customer of customers;let i =index;let isOdd=odd;">
    <div [ngClass]="['dark','card']" *ngIf="i!=1">
        <div >{{i}}</div>
        <div >{{isOdd}}</div>
        <div >{{customer.name}}</div>
        <div >{{customer.age}}</div>
        <div >
            <div *ngFor="let child of customer.child">
                {{child.childName}}
            </div>
        </div>
    </div>
</div>